<?php
namespace Incoviba\nuevo\Venta;

use Incoviba\Common\Alias\NewEstado;

/**
 * 
 * @author Aldarien
 * @property Pago pago_id
 * @property TipoEstadoPago estado_id
 *
 */
class EstadoPago extends NewEstado
{
	protected static $_table = 'estado_pagos';
	
    public function pago()
    {
    	return $this->belongsTo(Pago::class, 'pago_id')->findOne();
    }
    public function estado()
    {
    	return $this->belongsTo(TipoEstadoPago::class, 'estado_id')->findOne();
    }
}
